// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "AICharacter.h"
#include "BehaviorTree/BehaviorTree.h"
#include "GameFramework/Character.h"
#include "CompanionCharacter.generated.h"

UCLASS()
class ENDLESSVENDETTA_API ACompanionCharacter : public AAICharacter
{
	GENERATED_BODY()

public:
	// Sets default values for this character's properties
	ACompanionCharacter();

protected:
	// Called when the game starts or when spawned
	virtual void BeginPlay() override;

public:
	// Called every frame
	virtual void Tick(float DeltaTime) override;
};
